const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
// PUT replaces the entire document — include all fields, not just the ones changing.
domo.put(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`, {
content: {
name: 'Harry Potter',
house: 'Gryffindor',
wand: { wood: 'holly', core: 'phoenix feather', length: 11 },
courses: ['Defense Against the Dark Arts', 'Potions', 'Transfiguration'],
prefect: false
}
}).then(doc => console.log(doc));{
"id": "402778f6-bc8d-4aa5-a581-e08e3fc98c05",
"datastoreId": "daee775a-3be4-410d-ba20-bb0d94ce51cb",
"collectionId": "2148c830-14c2-478f-bb14-5c3019de46b4",
"syncRequired": true,
"owner": "540824222",
"createdBy": "540824222",
"createdOn": "2026-07-31T23:09:34.542Z",
"updatedOn": "2026-08-01T09:14:23.209Z",
"updatedBy": "540824222",
"content": {
"name": "Harry Potter",
"house": "Gryffindor",
"wand": {
"wood": "holly",
"core": "phoenix feather",
"length": 11
},
"courses": [
"Defense Against the Dark Arts",
"Potions",
"Transfiguration"
],
"prefect": false,
"enrolledOn": "1991-09-01",
"lastDetention": "1994-06-08T20:00:00Z"
}
}{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#updateDocument(UUID,UUID,DocumentDefinition)",
"toe": "BU22GXWMDI-ILY50-5YX28"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#getDocument(UUID,UUID); content:{\"message\":\"Document with id '0599350c-6fdc-41fc-a2ff-c56b78b1a0cf' not found\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "HVJA1FVUF6-BCB2D-SYWOO"
}Replace Document
Replaces an existing document in a collection — the entire content object is overwritten with whatever you send. To update individual fields without replacing the whole document, use Partially Update Documents instead.
const collectionName = 'Students';
const documentId = '402778f6-bc8d-4aa5-a581-e08e3fc98c05';
// PUT replaces the entire document — include all fields, not just the ones changing.
domo.put(`/domo/datastores/v2/collections/${collectionName}/documents/${documentId}`, {
content: {
name: 'Harry Potter',
house: 'Gryffindor',
wand: { wood: 'holly', core: 'phoenix feather', length: 11 },
courses: ['Defense Against the Dark Arts', 'Potions', 'Transfiguration'],
prefect: false
}
}).then(doc => console.log(doc));{
"id": "402778f6-bc8d-4aa5-a581-e08e3fc98c05",
"datastoreId": "daee775a-3be4-410d-ba20-bb0d94ce51cb",
"collectionId": "2148c830-14c2-478f-bb14-5c3019de46b4",
"syncRequired": true,
"owner": "540824222",
"createdBy": "540824222",
"createdOn": "2026-07-31T23:09:34.542Z",
"updatedOn": "2026-08-01T09:14:23.209Z",
"updatedBy": "540824222",
"content": {
"name": "Harry Potter",
"house": "Gryffindor",
"wand": {
"wood": "holly",
"core": "phoenix feather",
"length": 11
},
"courses": [
"Defense Against the Dark Arts",
"Potions",
"Transfiguration"
],
"prefect": false,
"enrolledOn": "1991-09-01",
"lastDetention": "1994-06-08T20:00:00Z"
}
}{
"status": 403,
"statusReason": "status 403 reading DocumentsResourceClient#updateDocument(UUID,UUID,DocumentDefinition)",
"toe": "BU22GXWMDI-ILY50-5YX28"
}{
"status": 404,
"statusReason": "status 404 reading DocumentsResourceClient#getDocument(UUID,UUID); content:{\"message\":\"Document with id '0599350c-6fdc-41fc-a2ff-c56b78b1a0cf' not found\",\"status\":404,\"statusReason\":\"Not Found\"}",
"toe": "HVJA1FVUF6-BCB2D-SYWOO"
}Path Parameters
The name given to the collection in the manifest. Case-sensitive.
The UUID of the document.
Body
Updated document content
Response
Document updated successfully. Returns the full updated document.
Unique identifier for the Document
Unique identifier of the Datastore that this Document's Collection belongs to.
Unique identifier of the Collection this Document belongs to.
Whether or not this Document needs to be synced by Domo to the associated DataSet; only applies if the syncEnabled option is on for the Collection.
User ID of the Document owner.
User ID of the user who created the Document.
The ISO-8601 timestamp showing when this Document was created.
The ISO-8601 timestamp showing when this Document was last updated.
User ID of the user who last updated the Document.
The actual Document content